# Read one delivery with every attempt.

> https://koi.dog/docs/api/webhooks/get-webhook-delivery/

`GET /api/v1/webhooks/{id}/deliveries/{deliveryId}` · Scope: `read`

No query parameters.

## Path parameters.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | yes | The webhook endpoint's id. |
| `deliveryId` | `string` | yes | The delivery's id. |

## Response.

200 OK: a `WebhookDelivery`. The example has placeholder values.

## Request.

```sh
curl "https://app.koi.dog/api/v1/webhooks/$ID/deliveries/$DELIVERY_ID" \
    -H "Authorization: Bearer $KOIDOG_API_KEY"
```

```js
const res = await fetch(`https://app.koi.dog/api/v1/webhooks/${process.env.ID}/deliveries/${process.env.DELIVERY_ID}`, {
  headers: {
    Authorization: `Bearer ${process.env.KOIDOG_API_KEY}`,
  },
});
console.log(await res.json());
```

```python
import os

import requests

r = requests.get(
    f"https://app.koi.dog/api/v1/webhooks/{os.environ['ID']}/deliveries/{os.environ['DELIVERY_ID']}",
    headers={
        "Authorization": f"Bearer {os.environ['KOIDOG_API_KEY']}",
    },
)
r.raise_for_status()
print(r.json())
```

## Response example.

```json
{
  "id": "string",
  "webhookId": "string",
  "type": "string",
  "eventSeq": 0,
  "state": "pending",
  "attempts": 0,
  "nextAttemptAt": "string",
  "attemptLog": [],
  "payload": {
    "id": "string",
    "type": "string",
    "createdAt": "string",
    "apiVersion": "v1",
    "webhookId": "string",
    "event": { … }
  },
  "createdAt": "string",
  "completedAt": "string"
}
```
